## r-bioc-biocparallel 0.6.1

=== DESCRIPTION ===
Package: BiocParallel
Type: Package
Title: Bioconductor facilities for parallel evaluation
Version: 0.6.1
Authors@R: c(
    person("Bioconductor Package Maintainer",
        email="maintainer@bioconductor.org", role="cre"),
    person("Martin", "Morgan", role="aut"),
    person("Michel", "Lang", email="michellang@gmail.com", role="aut"),
    person("Ryan", "Thompson", email="rct@thompsonclan.org", role="aut"))
Description: This package provides modified versions and novel
    implementation of functions for parallel evaluation, tailored to
    use with Bioconductor objects.
biocViews: Infrastructure
License: GPL-2 | GPL-3
Imports: methods, parallel, foreach, tools, BatchJobs, BBmisc,
        BiocGenerics
Suggests: doParallel, snow, Rmpi, RUnit, BiocStyle, knitr
Collate.unix: AllGenerics.R BiocParallelParam-class.R ErrorHandling.R
        bpbackend-methods.R bpisup-methods.R bplapply-methods.R
        bpmapply-methods.R bpschedule-methods.R bpstart-methods.R
        bpstop-methods.R bpvec-methods.R bpvectorize-methods.R
        bpworkers-methods.R bpaggregate-methods.R DoparParam-class.R
        MulticoreParam-class.R register.R SerialParam-class.R
        SnowParam-class.R BatchJobsParam-class.R utilities.R
        unix/mclapply.R unix/pvec.R unix/zzz.R
Collate.windows: AllGenerics.R BiocParallelParam-class.R
        ErrorHandling.R bpbackend-methods.R bpisup-methods.R
        bplapply-methods.R bpmapply-methods.R bpschedule-methods.R
        bpstart-methods.R bpstop-methods.R bpvec-methods.R
        bpvectorize-methods.R bpworkers-methods.R bpaggregate-methods.R
        DoparParam-class.R MulticoreParam-class.R register.R
        SerialParam-class.R SnowParam-class.R BatchJobsParam-class.R
        utilities.R windows/zzz.R
VignetteBuilder: knitr
Packaged: 2014-05-22 08:35:11 UTC; biocbuild
Author: Bioconductor Package Maintainer [cre],
  Martin Morgan [aut],
  Michel Lang [aut],
  Ryan Thompson [aut]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-biocparallel (0.6.1-1) unstable; urgency=medium

  * Initial release (closes: #753294)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jun 2014 09:17:49 +0200

=== debian/control ===
Source: r-bioc-biocparallel
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Testsuite: autopkgtest
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-foreach,
               r-bioc-biocgenerics,
               r-cran-batchjobs
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-biocparallel/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-biocparallel/trunk/
Homepage: http://bioconductor.org/packages/release/bioc/html/BiocParallel.html

Package: r-bioc-biocparallel
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-cran-foreach,
         r-bioc-biocgenerics,
         r-cran-batchjobs
Recommends: r-cran-doparallel
Description: BioConductor facilities for parallel evaluation
 This BioConductor package provides modified versions and novel
 implementation of functions for parallel evaluation, tailored to use
 with Bioconductor objects.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit, r-cran-doparallel
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=downloadurlmangle=s/\.\./packages\/release\/bioc/ \
 http://www.bioconductor.org/packages/release/bioc/html/BiocParallel.html .*/BiocParallel_([\d\.]+)\.tar\.gz

## r-bioc-biocparallel 1.2.6

=== DESCRIPTION ===
Package: BiocParallel
Type: Package
Title: Bioconductor facilities for parallel evaluation
Version: 1.2.6
Authors@R: c(
    person("Bioconductor Package Maintainer",
        email="maintainer@bioconductor.org", role="cre"),
    person("Martin", "Morgan", role="aut"),
    person("Valerie", "Obenchain", role="aut"),
    person("Michel", "Lang", email="michellang@gmail.com", role="aut"),
    person("Ryan", "Thompson", email="rct@thompsonclan.org", role="aut"))
Description: This package provides modified versions and novel
    implementation of functions for parallel evaluation, tailored to
    use with Bioconductor objects.
biocViews: Infrastructure
License: GPL-2 | GPL-3
Depends: methods
Imports: futile.logger, parallel, snow
Suggests: BiocGenerics, tools, foreach, BatchJobs, BBmisc, doParallel,
        Rmpi, GenomicRanges, RNAseqData.HNRNPC.bam.chr14, Rsamtools,
        GenomicAlignments, ShortRead, codetools, RUnit, BiocStyle,
        knitr
Collate.unix: AllGenerics.R BiocParallelParam-class.R ErrorHandling.R
        bpbackend-methods.R bpisup-methods.R bplapply-methods.R
        bpmapply-methods.R bpiterate-methods.R bpschedule-methods.R
        bpstart-methods.R bpstop-methods.R bpvec-methods.R
        bpvectorize-methods.R bpworkers-methods.R bpaggregate-methods.R
        bpvalidate.R SnowParam-class.R MulticoreParam-class.R
        register.R SerialParam-class.R DoparParam-class.R
        SnowParam-utils.R BatchJobsParam-class.R progress.R utilities.R
        unix/mclapply.R unix/pvec.R unix/bpiterate.R unix/zzz.R
Collate.windows: AllGenerics.R BiocParallelParam-class.R
        ErrorHandling.R bpbackend-methods.R bpisup-methods.R
        bplapply-methods.R bpmapply-methods.R bpiterate-methods.R
        bpschedule-methods.R bpstart-methods.R bpstop-methods.R
        bpvec-methods.R bpvectorize-methods.R bpworkers-methods.R
        bpaggregate-methods.R bpvalidate.R SnowParam-class.R
        MulticoreParam-class.R register.R SerialParam-class.R
        DoparParam-class.R SnowParam-utils.R BatchJobsParam-class.R
        progress.R utilities.R windows/zzz.R
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2015-06-24 03:47:58 UTC; biocbuild
Author: Bioconductor Package Maintainer [cre],
  Martin Morgan [aut],
  Valerie Obenchain [aut],
  Michel Lang [aut],
  Ryan Thompson [aut]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-biocparallel (1.2.6-1) unstable; urgency=medium

  * New upstream version
  * Versioned (Build-)Depends r-cran-batchjobs
  * Suggest: r-cran-mpi

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jun 2015 14:36:38 +0200

r-bioc-biocparallel (1.2.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 07 Jun 2015 22:27:02 +0200

r-bioc-biocparallel (1.0.0-1) experimental; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 16 Oct 2014 22:08:38 +0200

## r-bioc-biocparallel 1.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: BiocParallel
 Type: Package
 Title: Bioconductor facilities for parallel evaluation
-Version: 1.2.6
+Version: 1.4.0
 Authors@R: c(
     person("Bioconductor Package Maintainer",
         email="maintainer@bioconductor.org", role="cre"),
@@ -28,7 +28,7 @@
         bpvalidate.R SnowParam-class.R MulticoreParam-class.R
         register.R SerialParam-class.R DoparParam-class.R
         SnowParam-utils.R BatchJobsParam-class.R progress.R utilities.R
-        unix/mclapply.R unix/pvec.R unix/bpiterate.R unix/zzz.R
+        unix/pvec.R unix/mclapply.R unix/zzz.R
 Collate.windows: AllGenerics.R BiocParallelParam-class.R
         ErrorHandling.R bpbackend-methods.R bpisup-methods.R
         bplapply-methods.R bpmapply-methods.R bpiterate-methods.R
@@ -40,7 +40,7 @@
         progress.R utilities.R windows/zzz.R
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2015-06-24 03:47:58 UTC; biocbuild
+Packaged: 2015-10-15 02:33:37 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
   Valerie Obenchain [aut],

=== debian/changelog ===
r-bioc-biocparallel (1.4.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2015 22:29:40 +0100

=== debian/control ===
Source: r-bioc-biocparallel
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-batchjobs (>= 1.6),
               r-cran-foreach,
               r-cran-futile.logger,
               r-cran-snow,
               r-bioc-biocgenerics
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-biocparallel/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-biocparallel/trunk/
Homepage: http://bioconductor.org/packages/release/bioc/html/BiocParallel.html

Package: r-bioc-biocparallel
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-cran-batchjobs (>= 1.6),
         r-cran-foreach,
         r-cran-futile.logger,
         r-cran-snow,
         r-bioc-biocgenerics
Recommends: r-cran-doparallel
Suggests: r-cran-mpi
Description: BioConductor facilities for parallel evaluation
 This BioConductor package provides modified versions and novel
 implementation of functions for parallel evaluation, tailored to use
 with Bioconductor objects.

=== debian/rules ===
#!/usr/bin/make -f

debRreposname=bioc
include /usr/share/R/debian/r-cran.mk

install/$(package)::
	chmod 644 debian/$(package)/usr/lib/R/site-library/$(cranNameOrig)/snow/RMPInode.R

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit, r-cran-doparallel, r-cran-rmpi
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/BiocParallel.html .*/BiocParallel_([\d\.]+)\.tar\.gz

## r-bioc-biocparallel 1.6.0

=== DESCRIPTION ===
Package: BiocParallel
Type: Package
Title: Bioconductor facilities for parallel evaluation
Version: 1.6.0
Authors@R: c(
    person("Bioconductor Package Maintainer",
        email="maintainer@bioconductor.org", role="cre"),
    person("Martin", "Morgan", role="aut"),
    person("Valerie", "Obenchain", role="aut"),
    person("Michel", "Lang", email="michellang@gmail.com", role="aut"),
    person("Ryan", "Thompson", email="rct@thompsonclan.org", role="aut"))
Description: This package provides modified versions and novel
    implementation of functions for parallel evaluation, tailored to
    use with Bioconductor objects.
URL: https://github.com/Bioconductor/BiocParallel
BugReports: https://github.com/Bioconductor/BiocParallel/issues
biocViews: Infrastructure
License: GPL-2 | GPL-3
Depends: methods
Imports: stats, utils, futile.logger, parallel, snow
Suggests: BiocGenerics, tools, foreach, BatchJobs, BBmisc, doParallel,
        Rmpi, GenomicRanges, RNAseqData.HNRNPC.bam.chr14, Rsamtools,
        GenomicAlignments, ShortRead, codetools, RUnit, BiocStyle,
        knitr
Collate: AllGenerics.R BiocParallelParam-class.R bploop.R
        ErrorHandling.R log.R bpbackend-methods.R bpisup-methods.R
        bplapply-methods.R bpmapply-methods.R bpiterate-methods.R
        bpschedule-methods.R bpstart-methods.R bpstop-methods.R
        bpvec-methods.R bpvectorize-methods.R bpworkers-methods.R
        bpaggregate-methods.R bpvalidate.R SnowParam-class.R
        MulticoreParam-class.R register.R SerialParam-class.R
        DoparParam-class.R SnowParam-utils.R BatchJobsParam-class.R
        progress.R utilities.R zzz.R
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2016-05-04 04:47:13 UTC; biocbuild
Author: Bioconductor Package Maintainer [cre],
  Martin Morgan [aut],
  Valerie Obenchain [aut],
  Michel Lang [aut],
  Ryan Thompson [aut]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-biocparallel (1.6.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 08 May 2016 08:41:08 +0200

r-bioc-biocparallel (1.4.3-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Add r-bioc-rsamtools to unit test dependency and Recommends of
    the package
  * Exclude requirement of Rmpi from tests since its not packaged yet
    Closes: #820735

 -- Andreas Tille <tille@debian.org>  Tue, 12 Apr 2016 15:32:10 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                r-cran-futile.logger,
                r-cran-snow,
                r-bioc-biocgenerics
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-biocparallel/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-biocparallel/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-biocparallel/trunk/
 Homepage: http://bioconductor.org/packages/release/bioc/html/BiocParallel.html
 
@@ -26,7 +26,8 @@
          r-cran-futile.logger,
          r-cran-snow,
          r-bioc-biocgenerics
-Recommends: r-cran-doparallel
+Recommends: r-cran-doparallel,
+            r-bioc-rsamtools
 Suggests: r-cran-mpi
 Description: BioConductor facilities for parallel evaluation
  This BioConductor package provides modified versions and novel

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit, r-cran-doparallel, r-bioc-rsamtools
Restrictions: allow-stderr

## r-bioc-biocparallel 1.8.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: BiocParallel
 Type: Package
 Title: Bioconductor facilities for parallel evaluation
-Version: 1.6.0
+Version: 1.8.1
 Authors@R: c(
     person("Bioconductor Package Maintainer",
         email="maintainer@bioconductor.org", role="cre"),
@@ -33,7 +33,7 @@
         progress.R utilities.R zzz.R
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2016-05-04 04:47:13 UTC; biocbuild
+Packaged: 2016-10-29 23:12:24 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
   Valerie Obenchain [aut],

=== debian/changelog ===
r-bioc-biocparallel (1.8.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2016 16:53:14 +0100

r-bioc-biocparallel (1.8.0-2) unstable; urgency=medium

  * Add missing dependency to autopkgtest since this was not in the
    list of dependencies created by ${R:Depends}: r-cran-batchjobs (>= 1.6)

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2016 09:34:17 +0200

r-bioc-biocparallel (1.8.0-1) unstable; urgency=medium

  * New upstream version
  * Generic BioConductor homepage
  * Switch to dh-r

 -- Andreas Tille <tille@debian.org>  Tue, 25 Oct 2016 22:18:47 +0200

=== debian/control ===
Source: r-bioc-biocparallel
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 10),
               r-base-dev,
               r-cran-batchjobs (>= 1.6),
               r-cran-foreach,
               r-cran-futile.logger,
               r-cran-snow,
               r-bioc-biocgenerics,
               dh-r
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-biocparallel/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-biocparallel/trunk/
Homepage: https://bioconductor.org/packages/BiocParallel/

Package: r-bioc-biocparallel
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor facilities for parallel evaluation
 This BioConductor package provides modified versions and novel
 implementation of functions for parallel evaluation, tailored to use
 with Bioconductor objects.

=== debian/rules ===
#!/usr/bin/make -f

debRreposname   := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}' | sed 's/r-\([a-z]\+\)-.*/\1/')
awkString       := "'/^(Package|Bundle):/ {print $$2 }'"
cranNameOrig    := $(shell awk "$(awkString)" DESCRIPTION)
cranName        := $(shell echo "$(cranNameOrig)" | tr A-Z a-z)
package         := r-$(debRreposname)-$(cranName)
debRdir         := usr/lib/R/site-library
debRlib         := $(CURDIR)/debian/$(package)/$(debRdir)

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	chmod -x $(debRlib)/$(cranNameOrig)/snow/RMPInode.R

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/BiocParallel.html .*/BiocParallel_([\d\.]+)\.tar\.gz

## r-bioc-biocparallel 1.10.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: BiocParallel
 Type: Package
 Title: Bioconductor facilities for parallel evaluation
-Version: 1.8.1
+Version: 1.10.1
 Authors@R: c(
     person("Bioconductor Package Maintainer",
         email="maintainer@bioconductor.org", role="cre"),
@@ -30,10 +30,10 @@
         bpaggregate-methods.R bpvalidate.R SnowParam-class.R
         MulticoreParam-class.R register.R SerialParam-class.R
         DoparParam-class.R SnowParam-utils.R BatchJobsParam-class.R
-        progress.R utilities.R zzz.R
+        progress.R utilities.R
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2016-10-29 23:12:24 UTC; biocbuild
+Packaged: 2017-05-02 23:22:15 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
   Valerie Obenchain [aut],

=== debian/changelog ===
r-bioc-biocparallel (1.10.1-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Sep 2017 12:43:07 +0000

r-bioc-biocparallel (1.10.1-1) unstable; urgency=medium

  * New upstream version

 -- Graham Inggs <ginggs@debian.org>  Mon, 15 May 2017 12:47:36 +0200

## r-bioc-biocparallel 1.12.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: BiocParallel
 Type: Package
 Title: Bioconductor facilities for parallel evaluation
-Version: 1.10.1
+Version: 1.12.0
 Authors@R: c(
     person("Bioconductor Package Maintainer",
         email="maintainer@bioconductor.org", role="cre"),
@@ -16,12 +16,14 @@
 BugReports: https://github.com/Bioconductor/BiocParallel/issues
 biocViews: Infrastructure
 License: GPL-2 | GPL-3
+SystemRequirements: C++11
 Depends: methods
 Imports: stats, utils, futile.logger, parallel, snow
 Suggests: BiocGenerics, tools, foreach, BatchJobs, BBmisc, doParallel,
-        Rmpi, GenomicRanges, RNAseqData.HNRNPC.bam.chr14, Rsamtools,
-        GenomicAlignments, ShortRead, codetools, RUnit, BiocStyle,
-        knitr
+        Rmpi, GenomicRanges, RNAseqData.HNRNPC.bam.chr14,
+        TxDb.Hsapiens.UCSC.hg19.knownGene, VariantAnnotation,
+        Rsamtools, GenomicAlignments, ShortRead, codetools, RUnit,
+        BiocStyle, knitr
 Collate: AllGenerics.R BiocParallelParam-class.R bploop.R
         ErrorHandling.R log.R bpbackend-methods.R bpisup-methods.R
         bplapply-methods.R bpmapply-methods.R bpiterate-methods.R
@@ -30,10 +32,11 @@
         bpaggregate-methods.R bpvalidate.R SnowParam-class.R
         MulticoreParam-class.R register.R SerialParam-class.R
         DoparParam-class.R SnowParam-utils.R BatchJobsParam-class.R
-        progress.R utilities.R
+        progress.R ipcmutex.R utilities.R
+LinkingTo: BH
 VignetteBuilder: knitr
-NeedsCompilation: no
-Packaged: 2017-05-02 23:22:15 UTC; biocbuild
+NeedsCompilation: yes
+Packaged: 2017-10-30 23:36:29 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
   Valerie Obenchain [aut],

=== debian/changelog ===
r-bioc-biocparallel (1.12.0-2) unstable; urgency=medium

  * pass -lrt option explicitly in src/Makevars (Thanks for the patch to
    Steve Langasek <steve.langasek@ubuntu.com>)
    Closes: #889524
  * d/watch: Secure URI
  * cme fix dpkg-control
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 05 Feb 2018 10:50:42 +0100

r-bioc-biocparallel (1.12.0-1) unstable; urgency=medium

  * New upstream version
  * Use Debian packaged boost library
  * Architecture: any

 -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2017 17:30:12 +0100

r-bioc-biocparallel (1.10.1-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * Remove unneeded "Testsuite: autopkgtest"
  * Do not read d/changelog

 -- Andreas Tille <tille@debian.org>  Mon, 02 Oct 2017 13:46:41 +0200

=== debian/control ===
Source: r-bioc-biocparallel
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               r-base-dev,
               r-cran-batchjobs (>= 1.6),
               r-cran-foreach,
               r-cran-futile.logger,
               r-cran-snow,
               r-bioc-biocgenerics,
               dh-r,
               libboost-dev
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-biocparallel.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-biocparallel.git
Homepage: https://bioconductor.org/packages/BiocParallel/

Package: r-bioc-biocparallel
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor facilities for parallel evaluation
 This BioConductor package provides modified versions and novel
 implementation of functions for parallel evaluation, tailored to use
 with Bioconductor objects.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-batchjobs (>= 1.6), r-cran-runit, r-cran-doparallel, r-bioc-rsamtools
Restrictions: allow-stderr

## r-bioc-biocparallel 1.14.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Package: BiocParallel
 Type: Package
 Title: Bioconductor facilities for parallel evaluation
-Version: 1.12.0
+Version: 1.14.2
 Authors@R: c(
     person("Bioconductor Package Maintainer",
         email="maintainer@bioconductor.org", role="cre"),
     person("Martin", "Morgan", role="aut"),
     person("Valerie", "Obenchain", role="aut"),
     person("Michel", "Lang", email="michellang@gmail.com", role="aut"),
-    person("Ryan", "Thompson", email="rct@thompsonclan.org", role="aut"))
+    person("Ryan", "Thompson", email="rct@thompsonclan.org", role="aut"),
+    person("Nitesh", "Turaga", role="aut"))
 Description: This package provides modified versions and novel
     implementation of functions for parallel evaluation, tailored to
     use with Bioconductor objects.
@@ -23,7 +24,7 @@
         Rmpi, GenomicRanges, RNAseqData.HNRNPC.bam.chr14,
         TxDb.Hsapiens.UCSC.hg19.knownGene, VariantAnnotation,
         Rsamtools, GenomicAlignments, ShortRead, codetools, RUnit,
-        BiocStyle, knitr
+        BiocStyle, knitr, batchtools
 Collate: AllGenerics.R BiocParallelParam-class.R bploop.R
         ErrorHandling.R log.R bpbackend-methods.R bpisup-methods.R
         bplapply-methods.R bpmapply-methods.R bpiterate-methods.R
@@ -32,14 +33,20 @@
         bpaggregate-methods.R bpvalidate.R SnowParam-class.R
         MulticoreParam-class.R register.R SerialParam-class.R
         DoparParam-class.R SnowParam-utils.R BatchJobsParam-class.R
-        progress.R ipcmutex.R utilities.R
+        BatchtoolsParam-class.R progress.R ipcmutex.R utilities.R
 LinkingTo: BH
 VignetteBuilder: knitr
+git_url: https://git.bioconductor.org/packages/BiocParallel
+git_branch: RELEASE_3_7
+git_last_commit: 1d5a449
+git_last_commit_date: 2018-07-08
+Date/Publication: 2018-07-08
 NeedsCompilation: yes
-Packaged: 2017-10-30 23:36:29 UTC; biocbuild
+Packaged: 2018-07-08 23:40:58 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
   Valerie Obenchain [aut],
   Michel Lang [aut],
-  Ryan Thompson [aut]
+  Ryan Thompson [aut],
+  Nitesh Turaga [aut]
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-biocparallel (1.14.2-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: r-cran-bh instead of libboost-dev
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jul 2018 11:16:16 +0200

r-bioc-biocparallel (1.14.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 10 May 2018 11:07:26 +0200

r-bioc-biocparallel (1.14.0-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields
  * Add comment that libboost-dev is really needed

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 00:06:46 +0200

r-bioc-biocparallel (1.14.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Avoid bash syntax error in template script

 -- Andreas Tille <tille@debian.org>  Wed, 02 May 2018 14:58:27 +0200

=== debian/control ===
Source: r-bioc-biocparallel
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-futile.logger,
               r-cran-snow,
               r-cran-bh
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocparallel
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocparallel.git
Homepage: https://bioconductor.org/packages/BiocParallel/

Package: r-bioc-biocparallel
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor facilities for parallel evaluation
 This BioConductor package provides modified versions and novel
 implementation of functions for parallel evaluation, tailored to use
 with Bioconductor objects.

## r-bioc-biocparallel 1.16.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: BiocParallel
 Type: Package
 Title: Bioconductor facilities for parallel evaluation
-Version: 1.14.2
+Version: 1.16.6
 Authors@R: c(
     person("Bioconductor Package Maintainer",
         email="maintainer@bioconductor.org", role="cre"),
@@ -24,8 +24,8 @@
         Rmpi, GenomicRanges, RNAseqData.HNRNPC.bam.chr14,
         TxDb.Hsapiens.UCSC.hg19.knownGene, VariantAnnotation,
         Rsamtools, GenomicAlignments, ShortRead, codetools, RUnit,
-        BiocStyle, knitr, batchtools
-Collate: AllGenerics.R BiocParallelParam-class.R bploop.R
+        BiocStyle, knitr, batchtools, data.table
+Collate: AllGenerics.R prototype.R BiocParallelParam-class.R bploop.R
         ErrorHandling.R log.R bpbackend-methods.R bpisup-methods.R
         bplapply-methods.R bpmapply-methods.R bpiterate-methods.R
         bpschedule-methods.R bpstart-methods.R bpstop-methods.R
@@ -37,12 +37,12 @@
 LinkingTo: BH
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/BiocParallel
-git_branch: RELEASE_3_7
-git_last_commit: 1d5a449
-git_last_commit_date: 2018-07-08
-Date/Publication: 2018-07-08
+git_branch: RELEASE_3_8
+git_last_commit: 7f7a54c
+git_last_commit_date: 2019-02-08
+Date/Publication: 2019-02-10
 NeedsCompilation: yes
-Packaged: 2018-07-08 23:40:58 UTC; biocbuild
+Packaged: 2019-02-11 01:32:18 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
   Valerie Obenchain [aut],

=== debian/changelog ===
r-bioc-biocparallel (1.16.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Remove librt-linkage.patch, applied upstream.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 12 Feb 2019 07:40:13 +0100

r-bioc-biocparallel (1.16.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 05 Jan 2019 19:18:38 +0100

r-bioc-biocparallel (1.16.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.3.0

 -- Dylan Aïssi <daissi@debian.org>  Sat, 05 Jan 2019 15:01:01 +0100

r-bioc-biocparallel (1.16.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove boost_1.67.patch, applied upstream.
  * Fix autopkgtest (Closes: #914731)
      Remove useless patches: fix_syntax_of_test_script.patch
      and ignore_test_requiring_rmpi.patch.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 03 Dec 2018 08:04:22 +0100

r-bioc-biocparallel (1.16.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add patch to fix FTBFS with boost 1.67 (Closes: #914708)
      Thanks Graham Inggs.
  * Add Testsuite: autopkgtest-pkg-r

 -- Dylan Aïssi <daissi@debian.org>  Thu, 29 Nov 2018 07:48:46 +0100

r-bioc-biocparallel (1.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 05 Nov 2018 08:04:05 +0100

r-bioc-biocparallel (1.14.2-2) unstable; urgency=medium

  * Test-Depends: r-cran-batchtools
    Closes: #882371

 -- Andreas Tille <tille@debian.org>  Mon, 13 Aug 2018 14:16:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-futile.logger,
                r-cran-snow,
                r-cran-bh
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocparallel
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocparallel.git
 Homepage: https://bioconductor.org/packages/BiocParallel/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/BiocParallel.html .*/BiocParallel_([\d\.]+)\.tar\.gz

## r-bioc-biocparallel 1.18.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: BiocParallel
 Type: Package
 Title: Bioconductor facilities for parallel evaluation
-Version: 1.16.6
+Version: 1.18.1
 Authors@R: c(
     person("Bioconductor Package Maintainer",
         email="maintainer@bioconductor.org", role="cre"),
@@ -25,24 +25,25 @@
         TxDb.Hsapiens.UCSC.hg19.knownGene, VariantAnnotation,
         Rsamtools, GenomicAlignments, ShortRead, codetools, RUnit,
         BiocStyle, knitr, batchtools, data.table
-Collate: AllGenerics.R prototype.R BiocParallelParam-class.R bploop.R
+Collate: AllGenerics.R DeveloperInterface.R prototype.R bploop.R
         ErrorHandling.R log.R bpbackend-methods.R bpisup-methods.R
-        bplapply-methods.R bpmapply-methods.R bpiterate-methods.R
-        bpschedule-methods.R bpstart-methods.R bpstop-methods.R
-        bpvec-methods.R bpvectorize-methods.R bpworkers-methods.R
-        bpaggregate-methods.R bpvalidate.R SnowParam-class.R
-        MulticoreParam-class.R register.R SerialParam-class.R
-        DoparParam-class.R SnowParam-utils.R BatchJobsParam-class.R
-        BatchtoolsParam-class.R progress.R ipcmutex.R utilities.R
+        bplapply-methods.R bpiterate-methods.R bpstart-methods.R
+        bpstop-methods.R BiocParallelParam-class.R bpmapply-methods.R
+        bpschedule-methods.R bpvec-methods.R bpvectorize-methods.R
+        bpworkers-methods.R bpaggregate-methods.R bpvalidate.R
+        SnowParam-class.R MulticoreParam-class.R register.R
+        SerialParam-class.R DoparParam-class.R SnowParam-utils.R
+        BatchJobsParam-class.R BatchtoolsParam-class.R progress.R
+        ipcmutex.R utilities.R zzz.R
 LinkingTo: BH
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/BiocParallel
-git_branch: RELEASE_3_8
-git_last_commit: 7f7a54c
-git_last_commit_date: 2019-02-08
-Date/Publication: 2019-02-10
+git_branch: RELEASE_3_9
+git_last_commit: 348264a
+git_last_commit_date: 2019-08-06
+Date/Publication: 2019-08-06
 NeedsCompilation: yes
-Packaged: 2019-02-11 01:32:18 UTC; biocbuild
+Packaged: 2019-08-07 00:32:55 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
   Valerie Obenchain [aut],

=== debian/changelog ===
r-bioc-biocparallel (1.18.1-1) unstable; urgency=medium

  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Set upstream metadata fields: Contact, Name.

 -- Andreas Tille <tille@debian.org>  Thu, 22 Aug 2019 07:54:32 +0200

r-bioc-biocparallel (1.18.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.4.0
  * Add patch to disable two failing tests until we found a better solution.
     (Closes: #914731)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 23 Jul 2019 08:03:36 +0200

r-bioc-biocparallel (1.18.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jul 2019 11:57:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-futile.logger,
                r-cran-snow,
                r-cran-bh
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocparallel
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocparallel.git
 Homepage: https://bioconductor.org/packages/BiocParallel/

## r-bioc-biocparallel 1.20.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: BiocParallel
 Type: Package
 Title: Bioconductor facilities for parallel evaluation
-Version: 1.18.1
+Version: 1.20.1
 Authors@R: c(
     person("Bioconductor Package Maintainer",
         email="maintainer@bioconductor.org", role="cre"),
@@ -31,19 +31,19 @@
         bpstop-methods.R BiocParallelParam-class.R bpmapply-methods.R
         bpschedule-methods.R bpvec-methods.R bpvectorize-methods.R
         bpworkers-methods.R bpaggregate-methods.R bpvalidate.R
-        SnowParam-class.R MulticoreParam-class.R register.R
-        SerialParam-class.R DoparParam-class.R SnowParam-utils.R
-        BatchJobsParam-class.R BatchtoolsParam-class.R progress.R
-        ipcmutex.R utilities.R zzz.R
+        SnowParam-class.R MulticoreParam-class.R
+        TransientMulticoreParam-class.R register.R SerialParam-class.R
+        DoparParam-class.R SnowParam-utils.R BatchJobsParam-class.R
+        BatchtoolsParam-class.R progress.R ipcmutex.R utilities.R zzz.R
 LinkingTo: BH
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/BiocParallel
-git_branch: RELEASE_3_9
-git_last_commit: 348264a
-git_last_commit_date: 2019-08-06
-Date/Publication: 2019-08-06
+git_branch: RELEASE_3_10
+git_last_commit: 374b87c
+git_last_commit_date: 2019-12-20
+Date/Publication: 2019-12-21
 NeedsCompilation: yes
-Packaged: 2019-08-07 00:32:55 UTC; biocbuild
+Packaged: 2019-12-22 01:21:27 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
   Valerie Obenchain [aut],

=== debian/changelog ===
r-bioc-biocparallel (1.20.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:32 +0100

r-bioc-biocparallel (1.20.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 24 Dec 2019 08:09:34 +0100

r-bioc-biocparallel (1.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Tue, 05 Nov 2019 21:53:46 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-futile.logger,
                r-cran-snow,
                r-cran-bh
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocparallel
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocparallel.git
 Homepage: https://bioconductor.org/packages/BiocParallel/

## r-bioc-biocparallel 1.22.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: BiocParallel
 Type: Package
 Title: Bioconductor facilities for parallel evaluation
-Version: 1.20.1
+Version: 1.22.0
 Authors@R: c(
     person("Bioconductor Package Maintainer",
         email="maintainer@bioconductor.org", role="cre"),
@@ -34,16 +34,17 @@
         SnowParam-class.R MulticoreParam-class.R
         TransientMulticoreParam-class.R register.R SerialParam-class.R
         DoparParam-class.R SnowParam-utils.R BatchJobsParam-class.R
-        BatchtoolsParam-class.R progress.R ipcmutex.R utilities.R zzz.R
+        BatchtoolsParam-class.R progress.R ipcmutex.R utilities.R
+        internal_rng_stream.R
 LinkingTo: BH
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/BiocParallel
-git_branch: RELEASE_3_10
-git_last_commit: 374b87c
-git_last_commit_date: 2019-12-20
-Date/Publication: 2019-12-21
+git_branch: RELEASE_3_11
+git_last_commit: 430511c
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
 NeedsCompilation: yes
-Packaged: 2019-12-22 01:21:27 UTC; biocbuild
+Packaged: 2020-04-28 00:48:41 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
   Valerie Obenchain [aut],

=== debian/changelog ===
r-bioc-biocparallel (1.22.0-2) unstable; urgency=medium

  * Team upload.
  * Fix test on ppc64el (Closes: #963111)
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 13 Jul 2020 09:44:31 +0200

r-bioc-biocparallel (1.22.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 17 May 2020 18:16:08 +0200

## r-bioc-biocparallel 1.24.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: BiocParallel
 Type: Package
 Title: Bioconductor facilities for parallel evaluation
-Version: 1.22.0
+Version: 1.24.1
 Authors@R: c(
     person("Bioconductor Package Maintainer",
         email="maintainer@bioconductor.org", role="cre"),
@@ -9,7 +9,8 @@
     person("Valerie", "Obenchain", role="aut"),
     person("Michel", "Lang", email="michellang@gmail.com", role="aut"),
     person("Ryan", "Thompson", email="rct@thompsonclan.org", role="aut"),
-    person("Nitesh", "Turaga", role="aut"))
+    person("Nitesh", "Turaga", role="aut"),
+    person("Aaron", "Lun", role = "ctb"))
 Description: This package provides modified versions and novel
     implementation of functions for parallel evaluation, tailored to
     use with Bioconductor objects.
@@ -39,16 +40,17 @@
 LinkingTo: BH
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/BiocParallel
-git_branch: RELEASE_3_11
-git_last_commit: 430511c
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
+git_branch: RELEASE_3_12
+git_last_commit: f713caa
+git_last_commit_date: 2020-11-06
+Date/Publication: 2020-11-06
 NeedsCompilation: yes
-Packaged: 2020-04-28 00:48:41 UTC; biocbuild
+Packaged: 2020-11-06 23:01:44 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
   Valerie Obenchain [aut],
   Michel Lang [aut],
   Ryan Thompson [aut],
-  Nitesh Turaga [aut]
+  Nitesh Turaga [aut],
+  Aaron Lun [ctb]
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-biocparallel (1.24.1-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Fri, 13 Nov 2020 11:46:28 +0100

r-bioc-biocparallel (1.24.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 31 Oct 2020 17:39:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-futile.logger,
                r-cran-snow,
                r-cran-bh
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocparallel
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocparallel.git
 Homepage: https://bioconductor.org/packages/BiocParallel/
+Rules-Requires-Root: no
 
 Package: r-bioc-biocparallel
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name RMPInode.R -exec chmod -x \{\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-batchjobs (>= 1.6), r-cran-runit, r-cran-doparallel, r-bioc-rsamtools, r-cran-batchtools, r-cran-snow, r-cran-rmpi
Restrictions: allow-stderr

## r-bioc-biocparallel 1.28.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Package: BiocParallel
 Type: Package
 Title: Bioconductor facilities for parallel evaluation
-Version: 1.24.1
+Version: 1.28.3
 Authors@R: c(
     person("Bioconductor Package Maintainer",
         email="maintainer@bioconductor.org", role="cre"),
     person("Martin", "Morgan", role="aut"),
+    person("Jiefei", "Wang", role = "aut"),
     person("Valerie", "Obenchain", role="aut"),
     person("Michel", "Lang", email="michellang@gmail.com", role="aut"),
     person("Ryan", "Thompson", email="rct@thompsonclan.org", role="aut"),
     person("Nitesh", "Turaga", role="aut"),
-    person("Aaron", "Lun", role = "ctb"))
+    person("Aaron", "Lun", role = "ctb"),
+    person("Henrik", "Bengtsson", role = "ctb"))
 Description: This package provides modified versions and novel
     implementation of functions for parallel evaluation, tailored to
     use with Bioconductor objects.
@@ -19,7 +21,7 @@
 biocViews: Infrastructure
 License: GPL-2 | GPL-3
 SystemRequirements: C++11
-Depends: methods
+Depends: methods, R (>= 3.5.0)
 Imports: stats, utils, futile.logger, parallel, snow
 Suggests: BiocGenerics, tools, foreach, BatchJobs, BBmisc, doParallel,
         Rmpi, GenomicRanges, RNAseqData.HNRNPC.bam.chr14,
@@ -35,22 +37,24 @@
         SnowParam-class.R MulticoreParam-class.R
         TransientMulticoreParam-class.R register.R SerialParam-class.R
         DoparParam-class.R SnowParam-utils.R BatchJobsParam-class.R
-        BatchtoolsParam-class.R progress.R ipcmutex.R utilities.R
-        internal_rng_stream.R
+        BatchtoolsParam-class.R progress.R ipcmutex.R utilities.R rng.R
+        bpinit.R
 LinkingTo: BH
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/BiocParallel
-git_branch: RELEASE_3_12
-git_last_commit: f713caa
-git_last_commit_date: 2020-11-06
-Date/Publication: 2020-11-06
+git_branch: RELEASE_3_14
+git_last_commit: 2f9d88a
+git_last_commit_date: 2021-12-07
+Date/Publication: 2021-12-09
 NeedsCompilation: yes
-Packaged: 2020-11-06 23:01:44 UTC; biocbuild
+Packaged: 2021-12-09 08:54:30 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
+  Jiefei Wang [aut],
   Valerie Obenchain [aut],
   Michel Lang [aut],
   Ryan Thompson [aut],
   Nitesh Turaga [aut],
-  Aaron Lun [ctb]
+  Aaron Lun [ctb],
+  Henrik Bengtsson [ctb]
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-biocparallel (1.28.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 20 Dec 2021 09:58:23 +0100

r-bioc-biocparallel (1.28.2-2) unstable; urgency=medium

  * Ignore single test which randomly causes:
      Error in set.seed(seed) : supplied seed is not a valid integer
    on random architectures of debci

 -- Andreas Tille <tille@debian.org>  Wed, 01 Dec 2021 14:02:38 +0100

r-bioc-biocparallel (1.28.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 29 Nov 2021 16:45:14 +0100

r-bioc-biocparallel (1.28.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2021 15:47:20 +0100

r-bioc-biocparallel (1.26.2-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

  [ Nilesh Patra ]
  * Add autopkgtests conf file to make smoke tests working

 -- Nilesh Patra <nilesh@debian.org>  Fri, 03 Sep 2021 00:26:00 +0530

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-futile.logger,
                r-cran-snow,
                r-cran-bh
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocparallel
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocparallel.git
 Homepage: https://bioconductor.org/packages/BiocParallel/
